
/* DHT library 

 * MIT license
 * written by Adafruit Industries
 *
 * Modified by I. Cserny, MTA ATOMKI
 */

#include "Energia.h"
// #define DEBUG    //Define only in case you need debugging (it requires Serial connection)

#if defined(__MSP430G2452__) || defined(__MSP430G2553__) || defined(__MSP430G2231__) // LaunchPad specific 

 #define NAN 0xFFFF
 #define DHTLEVEL 11
#elif defined(__LM4F120H5QR__) || defined(__LM4F123H5QR__) // StellarPad LM4F specific 
 #define NAN 0xFFFF
 #define DHTLEVEL 64
#else
  #error Board not supported (DHT)
#endif


// how many timing transitions we need to keep track of. 2 * number bits + extra
#define MAXTIMINGS 85

#define DHT11 11
#define DHT22 22
#define DHT21 21
#define AM2301 21

class DHT {
 private:
  uint8_t data[6];
  uint8_t _pin, _type;
  boolean read(void);
  unsigned long _lastreadtime;
  boolean firstreading;
#ifdef DEBUG
    uint8_t res[40];
#endif

 public:
  DHT(uint8_t pin, uint8_t type);
  void begin(void);
  float readTemperature(bool S=false);
  float convertCtoF(float);
  float readHumidity(void);

};
